
#version 330

layout (location = 0) in vec2 pos;
layout (location = 1) in vec2 uvData;

uniform mat3 viewMatrix; // projection (viewport)
uniform mat3 worldMatrix; // world position
uniform mat3 modelMatrix; // mesh/local transformations

out vec2 uvOut;

void main() {
	vec3 result = viewMatrix * worldMatrix * modelMatrix * vec3(pos, 1.0);
	gl_Position = vec4(result.x, result.y, 0.0, result.z);

	uvOut = uvData;
}
